[Haskell-cafe] Hackage and HaXml situation

John Goerzen jgoerzen at complete.org
Fri Sep 19 15:59:49 EDT 2008

Duncan Coutts wrote:
> On Thu, 2008-09-18 at 15:32 -0500, John Goerzen wrote:
> Basically for each package we have an optional suggested version
> constraint. This would be used in the hackage website to direct people

That would solve the problem nicely, I think.  Do you have an ETA for
this feature?

> to the 'current' version but most importantly it'd be used by
> cabal-install and other cabal -> native package conversion tools. It
> wold be editable on the hackage website by the package author/maintainer
> and probably other people with the role of managing the hackage
> collection.
> Cases like HaXml-1.13 -> 1.19 (or a future stable version) or old-time
> -> time are also things that the platform might be able to help with in
> future by managing the transition in a more coherent way rather than
> what we have now where the transition is rather hap-hazard with half
> using one and half the other.
> Duncan

More information about the Haskell-Cafe mailing list